

use "E:\ECMA_2010\PANEL_ECMA.dta", clear


set more off
gen yearnew=(year==1940)
recode yearnew 0=2 if year==1950
recode yearnew 0=3 if year==1960
recode yearnew 0=4 if year==1970
recode yearnew 0=5 if year==1980
recode yearnew 0=6 if year==1990
recode yearnew 0=7 if year==2000

xtset fips yearnew, yearly

tabulate yearnew, gen(yeardum)
 
gen densitynew=density/1000
drop density
rename densitynew density
gen LFP_lag=l.LFP
gen LFP_spaw2_lag=l.LFP_spaw2

bysort fips: egen m_LFP = mean(LFP)
bysort fips: egen m_LFP_lag = mean(LFP_lag)
bysort fips: egen m_LFP_spaw2_lag = mean(LFP_spaw2_lag)
bysort fips: egen m_density = mean(density)
bysort fips: egen m_pc_urb = mean(pc_urb)
bysort fips: egen m_pc_farm = mean(pc_farm)
bysort fips: egen m_avg_edu = mean(avg_edu)
bysort fips: egen m_avgwage_defl = mean(avgwage_defl)

gen dm_LFP = LFP - m_LFP
gen dm_LFP_lag = LFP_lag - m_LFP_lag
gen dm_LFP_spaw2_lag = LFP_spaw2_lag - m_LFP_spaw2_lag
gen dm_density = density - m_density
gen dm_pc_urb = pc_urb - m_pc_urb
gen dm_pc_farm = pc_farm - m_pc_farm
gen dm_avg_edu = avg_edu - m_avg_edu
gen dm_avgwage_defl = avgwage_defl - m_avgwage_defl



gen LFP_diff = LFP-l.LFP
gen LFP_lag_diff =l.LFP_diff
gen LFP_lag2_diff=ll.LFP_diff
gen LFP_spaw2_diff =LFP_spaw2-l.LFP_spaw2
gen LFP_spaw2_lag_diff=l.LFP_spaw2_diff
gen LFP_spaw2_lag2_diff=ll.LFP_spaw2_diff
gen density_diff = density-l.density
gen pc_urb_diff = pc_urb-l.pc_urb
gen pc_farm_diff = pc_farm-l.pc_farm
gen avg_edu_diff = avg_edu-l.avg_edu
gen avgwage_defl_diff =avgwage_defl-l.avgwage_defl

bysort fips: egen m_LFP_diff = mean(LFP_diff)
bysort fips: egen m_LFP_lag_diff = mean(LFP_lag_diff)
bysort fips: egen m_LFP_spaw2_lag_diff = mean(LFP_spaw2_lag_diff)

bysort fips: egen m_LFP_lag2_diff = mean(LFP_lag2_diff)
bysort fips: egen m_LFP_spaw2_lag2_diff = mean(LFP_spaw2_lag2_diff)


bysort fips: egen m_density_diff = mean(density_diff)
bysort fips: egen m_pc_urb_diff = mean(pc_urb_diff)
bysort fips: egen m_pc_farm_diff = mean(pc_farm_diff)
bysort fips: egen m_avg_edu_diff = mean(avg_edu_diff)
bysort fips: egen m_avgwage_defl_diff = mean(avgwage_defl_diff)


gen dm_LFP_diff = LFP_diff - m_LFP_diff
gen dm_LFP_lag_diff = LFP_lag_diff - m_LFP_lag_diff
gen dm_LFP_spaw2_lag_diff = LFP_spaw2_lag_diff - m_LFP_spaw2_lag_diff
gen dm_LFP_lag2_diff=LFP_spaw2_lag2_diff - m_LFP_spaw2_lag2_diff
gen dm_LFP_spaw2_lag2_diff=LFP_lag2_diff - m_LFP_lag2_diff
gen dm_density_diff = density_diff - m_density_diff
gen dm_pc_urb_diff = pc_urb_diff - m_pc_urb_diff
gen dm_pc_farm_diff = pc_farm_diff - m_pc_farm_diff
gen dm_avg_edu_diff = avg_edu_diff - m_avg_edu_diff
gen dm_avgwage_defl_diff = avgwage_defl_diff - m_avgwage_defl_diff


log using "E:\ECMA_2010\AB_appx.log", replace

**OLS LEVELS 
xtreg LFP l.LFP l.LFP_spaw2 density pc_urb pc_farm avg_edu avgwage_defl yeardum*, robust cluster(fips)

**OLS LEVELS
reg LFP l.LFP l.LFP_spaw2 density pc_urb pc_farm avg_edu avgwage_defl yeardum*, robust cluster(fips)
estimates store ols_lev
abar,lags(2)

**OLS LEVELS FIXED EFFECTS
xtreg LFP l.LFP l.LFP_spaw2 density pc_urb pc_farm avg_edu avgwage_defl yeardum*, fe robust cluster(fips)
estimates store ols_lev_fe


reg dm_LFP dm_LFP_lag dm_LFP_spaw2_lag dm_density dm_pc_urb dm_pc_farm dm_avg_edu dm_avgwage_defl yeardum*, robust cluster(fips)
abar,lags(2)



**IV FIRST DIFFERENCES

ivreg2 d.LFP (ld.LFP ld.LFP_spaw2=lld.LFP lld.LFP_spaw2)d.density d.pc_urb d.pc_farm d.avg_edu d.avgwage_defl yeardum*, robust cluster(fips)
estimates store IV_fd
abar,lags(2)

**IV first differences and fixed effects
xtivreg2 d.LFP (ld.LFP ld.LFP_spaw2=lld.LFP lld.LFP_spaw2) d.density d.pc_urb d.pc_farm d.avg_edu d.avgwage_defl yeardum*, fe robust cluster(fips)
estimates store IV_fd_fe


ivreg2 dm_LFP_diff (dm_LFP_lag_diff dm_LFP_spaw2_lag_diff=dm_LFP_lag2_diff dm_LFP_spaw2_lag2_diff) dm_density_diff dm_pc_urb_diff dm_pc_farm_diff dm_avg_edu_diff dm_avgwage_defl_diff yeardum*,robust cluster(fips)
abar,lags(2)


**A-B GMM--two lags
xtabond2 LFP l.LFP l.LFP_spaw2 density pc_urb pc_farm avg_edu avgwage_defl yeardum4-yeardum7 , gmm(l.LFP l.LFP_spaw2 avgwage_defl, lag(2 3)collapse)  iv(yeardum4-yeardum7 density pc_urb pc_farm avg_edu,passthru) nol r  two
estimates store AB_2ls

**A-B GMM more lags
xtabond2 LFP l.LFP l.LFP_spaw2 density pc_urb pc_farm avg_edu avgwage_defl yeardum4-yeardum7 , gmm(l.LFP l.LFP_spaw2 avgwage_defl, lag(2 4)collapse)  iv(yeardum4-yeardum7 density pc_urb pc_farm avg_edu,passthru) nol r  two
estimates store AB_3ls

estimates table ols_lev_fe IV_fd IV_fd_fe AB_2ls AB_3ls, drop(yeardum1 yeardum2 yeardum3 yeardum4 yeardum5 yeardum6 yeardum7 _cons )b(%7.3f) se(%7.3f) stfmt(%7.4g) stats(N r2_a)

