**This program performs dynamic panel estimation first on the data (PANEL_ECMA datast) and then on the panel generated by the model.
**Race and sector composition have been dropped because never significant
**The estimates are presented in Table XX and XX of the online appendix and in Table X of the paper.

use "E:\ECMA_2010\PANEL_ECMA.dta", clear

set more off
gen yearnew=(year==1940)
recode yearnew 0=2 if year==1950
recode yearnew 0=3 if year==1960
recode yearnew 0=4 if year==1970
recode yearnew 0=5 if year==1980
recode yearnew 0=6 if year==1990
recode yearnew 0=7 if year==2000

xtset fips yearnew, yearly

tabulate yearnew, gen(yeardum)
 
gen densitynew=density/1000
drop density
rename densitynew density


****************************** REGRESSIONS

*All regressions have robust standard errors clustered at county level. All include time effects.

log using "E:\ECMA_2010\AB_results.log", replace

**OLS LEVELS 
xtreg LFP l.LFP l.LFP_spaw2 density pc_urb pc_farm avg_edu avgwage_defl yeardum*, robust cluster(fips)
estimates store ols_lev


**A-B GMM--two lags
xtabond2 LFP l.LFP l.LFP_spaw2 density pc_urb pc_farm avg_edu avgwage_defl yeardum4-yeardum7 , gmm(l.LFP l.LFP_spaw2 l.avgwage_defl, lag(2 3)collapse)  iv(yeardum4-yeardum7 density pc_urb pc_farm avg_edu,passthru) nol r  two
estimates store AB_2ls


**A-B GMM more lags
xtabond2 LFP l.LFP l.LFP_spaw2 density pc_urb pc_farm avg_edu avgwage_defl yeardum4-yeardum7 , gmm(l.LFP l.LFP_spaw2 l.avgwage_defl, lag(2 4)collapse)  iv(yeardum4-yeardum7 density pc_urb pc_farm avg_edu,passthru) nol r  two
estimates store AB_3ls

estimates table ols_lev AB_2ls AB_3ls, drop(yeardum4 yeardum5 yeardum6 yeardum7 _cons )b(%7.3f) se(%7.3f) stfmt(%7.4g) stats(N r2_a)
estimates table ols_lev AB_2ls AB_3ls, drop(yeardum4 yeardum5 yeardum6 yeardum7 _cons )b(%7.3f) star stfmt(%7.4g) stats(N r2_a)

****************************** model with density and 100 women for county

use "E:\ECMA_2010\MODEL_ECMA.dta", clear
xtset fips year, yearly


**OLS LEVELS
xtreg LFP l.LFP l.spa_lag t*, robust cluster(fips)
estimates store ols_lev


**A-B GMM--two lags
xtabond2 LFP l.LFP l.spa_lag t*, gmm(l.LFP l.spa_lag, lag(2 3)collapse)  iv(t*,passthru) nol r  two
estimates store AB_2ls


**A-B GMM more lags
xtabond2 LFP l.LFP l.spa_lag t*, gmm(l.LFP l.spa_lag, lag(2 4)collapse)  iv(t*,passthru) nol r  two
estimates store AB_3ls

estimates table ols_lev AB_2ls AB_3ls, drop(t4dum t5dum t6dum t7dum _cons) b(%7.3f) se(%7.3f) stfmt(%7.4g) stats(N r2_a)
estimates table ols_lev AB_2ls AB_3ls, drop(t4dum t5dum t6dum t7dum _cons) b(%7.3f) star stfmt(%7.4g) stats(N r2_a)

log close